summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xscripts/ac_build_iraf_pkg4
-rwxr-xr-xscripts/ac_check_iraf_build (renamed from scripts/check_iraf_pkg_build)4
-rw-r--r--scripts/ac_iraf_defs (renamed from scripts/iraf_defs)0
-rwxr-xr-xscripts/ac_update_extern_pkg (renamed from scripts/update_extern_pkg)0
-rwxr-xr-xscripts/unmangle_interpreter2
5 files changed, 5 insertions, 5 deletions
diff --git a/scripts/ac_build_iraf_pkg b/scripts/ac_build_iraf_pkg
index 8c8024b..767e60b 100755
--- a/scripts/ac_build_iraf_pkg
+++ b/scripts/ac_build_iraf_pkg
@@ -16,7 +16,7 @@
# common name definitions from the same place:
script_dir=`dirname "$0"`
script_dir=`cd "$script_dir" && pwd` # canonical version of path
-. "$script_dir/iraf_defs"
+. "$script_dir/ac_iraf_defs"
# The parameters are effectively conda build variables, which must be set here:
if [ -n "$1" -o -z "$PREFIX" -o -z "$RECIPE_DIR" -o -z "$PKG_NAME" ]; then
@@ -75,7 +75,7 @@ for file_name in $ac_iraf_files; do
done
# Define the new package in the (temporary build-time) extern.pkg:
-if ! "$script_dir/update_extern_pkg" "$PREFIX" "$pkg_name"; then
+if ! "$script_dir/ac_update_extern_pkg" "$PREFIX" "$pkg_name"; then
echo "ERROR: failed to update $extern_pkg" >&2
exit 1
fi
diff --git a/scripts/check_iraf_pkg_build b/scripts/ac_check_iraf_build
index cf0b9e3..aff6b92 100755
--- a/scripts/check_iraf_pkg_build
+++ b/scripts/ac_check_iraf_build
@@ -11,10 +11,10 @@
# 4 build incomplete with respect to manifest
# 6 both of the above
-usage="Usage: check_iraf_pkg_build PATH"
+usage="Usage: ac_check_iraf_build PATH"
# Source some common IRAF package defs (log_name etc.) from the same dir:
-. `dirname "$0"`/iraf_defs
+. `dirname "$0"`/ac_iraf_defs
# Parse argument(s):
st=1
diff --git a/scripts/iraf_defs b/scripts/ac_iraf_defs
index fe5aca8..fe5aca8 100644
--- a/scripts/iraf_defs
+++ b/scripts/ac_iraf_defs
diff --git a/scripts/update_extern_pkg b/scripts/ac_update_extern_pkg
index 4243e19..4243e19 100755
--- a/scripts/update_extern_pkg
+++ b/scripts/ac_update_extern_pkg
diff --git a/scripts/unmangle_interpreter b/scripts/unmangle_interpreter
index d060ecb..bdb7128 100755
--- a/scripts/unmangle_interpreter
+++ b/scripts/unmangle_interpreter
@@ -1,7 +1,7 @@
#!/bin/sh
# Names of the script(s) to be updated in the same directory this is run from:
-scripts="update_extern_pkg"
+scripts="ac_update_extern_pkg"
# Work in the directory where this script and those to be updated live:
cd `dirname "$0"` || exit 1 # (should never fail if this script can be executed)